Fedora 14 : mod_auth_mysql-3.0.0-12.fc14 (2011-0100)

High Nessus Plugin ID 51947


The remote Fedora host is missing a security update.


This update fixes a security issue in mod_auth_mysql.

A flaw was found in the way mod_auth_mysql escaped certain multibyte-encoded strings. If mod_auth_mysql was configured to use a multibyte character set that allowed a backslash ('\') as part of the character encodings, a remote attacker could inject arbitrary SQL commands into a login request. (CVE-2008-2384)

Note: This flaw only affected non-default installations where AuthMySQLCharacterSet is configured to use one of the affected multibyte character sets. Installations that did not use the AuthMySQLCharacterSet configuration option were not vulnerable to this flaw.

Note that Tenable Network Security has extracted the preceding description block directly from the Fedora security advisory. Tenable has attempted to automatically clean and format it as much as possible without introducing additional issues.


Update the affected mod_auth_mysql package.

See Also



Plugin Details

Severity: High

ID: 51947

File Name: fedora_2011-0100.nasl

Version: $Revision: 1.8 $

Type: local

Agent: unix

Published: 2011/02/11

Modified: 2015/10/20

Dependencies: 12634

Risk Information

Risk Factor: High


Base Score: 7.5

Temporal Score: 6.2

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

Temporal Vector: CVSS2#E:F/RL:OF/RC:ND

Vulnerability Information

CPE: p-cpe:/a:fedoraproject:fedora:mod_auth_mysql, cpe:/o:fedoraproject:fedora:14

Required KB Items: Host/local_checks_enabled, Host/RedHat/release, Host/RedHat/rpm-list

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2011/01/04

Reference Information

CVE: CVE-2008-2384

BID: 33392

OSVDB: 51923

FEDORA: 2011-0100

CWE: 89